Imports System.Windows.Forms

Public Class DlgNormalizationFile

    Private m_Filename As String

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        m_Filename = String.Empty
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Public ReadOnly Property FileName() As String
        Get
            Return m_Filename
        End Get

    End Property

    Private Sub btnBrowse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrowse.Click
        Dim dlgRes As DialogResult
        dlgRes = OpenFileDialog1.ShowDialog(Me)
        If dlgRes = Windows.Forms.DialogResult.OK Then
            m_Filename = OpenFileDialog1.FileName
            tbxFileName.Text = m_Filename
        End If
    End Sub
End Class
