Public Class CDeckInfo

    ' This class stores x,y,z and deckID of a deck. In the future we can expand this class 
    Private m_DeckID As String
    Private m_DeckNumber As Integer

    Private m_LeftGripper As CLeftGripper
    Private m_GantryHead As CGantry

    Public Property DeckID() As String
        Get
            Return m_DeckID
        End Get
        Set(ByVal value As String)
            m_DeckID = value
        End Set
    End Property

    Public Property DeckNumber() As Integer
        Get
            Return m_DeckNumber
        End Get
        Set(ByVal value As Integer)
            m_DeckNumber = value
        End Set
    End Property

    Public Sub New(ByVal deckID As String, ByVal deckNumber As Integer)

        m_GantryHead = New CGantry
        m_LeftGripper = New CLeftGripper

        m_DeckID = deckID
        m_DeckNumber = deckNumber
    End Sub

#Region "Left Gripper Coordinate"
    Public Property LeftGripperX() As Single
        Get
            Return m_LeftGripper.XCoordinate
        End Get
        Set(ByVal value As Single)
            m_LeftGripper.XCoordinate = value
        End Set
    End Property

    Public Property LeftGripperY() As Single
        Get
            Return m_LeftGripper.YCoordinate
        End Get
        Set(ByVal value As Single)
            m_LeftGripper.YCoordinate = value
        End Set
    End Property

    Public Property LeftGripperZ() As Single
        Get
            Return m_LeftGripper.ZCoordinate
        End Get
        Set(ByVal value As Single)
            m_LeftGripper.ZCoordinate = value
        End Set
    End Property
#End Region

#Region "Gantry Head Coordinate"
    Public Property GantryHeadX() As Single
        Get
            Return m_GantryHead.XCoordinate
        End Get
        Set(ByVal value As Single)
            m_GantryHead.XCoordinate = value
        End Set
    End Property

    Public Property GantryHeadY() As Single
        Get
            Return m_GantryHead.YCoordinate
        End Get
        Set(ByVal value As Single)
            m_GantryHead.YCoordinate = value
        End Set
    End Property

    Public Property GantryHeadZ() As Single
        Get
            Return m_GantryHead.ZCoordinate
        End Get
        Set(ByVal value As Single)
            m_GantryHead.ZCoordinate = value
        End Set
    End Property
#End Region

End Class
