Public Class CNorm

    Private m_Sample As CSample

    Private m_PeakSize As Double
    Private m_AvgSize As Double
    Private m_Yield As Double
    Private m_ConcentrationVolume As Double
    Private m_Volume As Double

    Private m_PoundSign As String
    Private m_SampleID As String
    Private m_SampleDescription As String
    Private m_SourceWellID As String

    Private m_TotalVolume As Double

    Public Property PoundSign() As String
        Get
            Return m_PoundSign
        End Get
        Set(ByVal value As String)
            m_PoundSign = value
        End Set
    End Property

    Public Property SampleID() As String
        Get
            Return m_SampleID
        End Get
        Set(ByVal value As String)
            m_SampleID = value
            m_Sample.SampleID = m_SampleID
        End Set
    End Property

    Public Property SampleDescription() As String
        Get
            Return m_SampleDescription
        End Get
        Set(ByVal value As String)
            m_SampleDescription = value
            m_Sample.SampleDescription = m_SampleDescription
        End Set
    End Property

    Public Property PeakSize() As Double
        Get
            Return m_PeakSize
        End Get
        Set(ByVal value As Double)
            m_PeakSize = value
        End Set
    End Property

    Public Property AvgSize() As Double
        Get
            Return m_AvgSize
        End Get
        Set(ByVal value As Double)
            m_AvgSize = value
        End Set
    End Property

    Public Property ConcentrationVolume() As Double
        Get
            Return m_ConcentrationVolume
        End Get
        Set(ByVal value As Double)
            m_ConcentrationVolume = value
            m_Sample.ConcentrationVolume = m_ConcentrationVolume
        End Set
    End Property

    Public Property Yield() As Double
        Get
            Return m_Yield
        End Get
        Set(ByVal value As Double)
            m_Yield = value
        End Set
    End Property

    Public Property Volume() As Double
        Get
            Return m_Volume
        End Get
        Set(ByVal value As Double)
            m_Volume = value
            m_Sample.Volume = m_Volume
        End Set
    End Property

    Public Property SourceWellID() As String
        Get
            Return m_SourceWellID
        End Get
        Set(ByVal value As String)
            m_SourceWellID = value
            m_Sample.SourceWellID = m_SourceWellID
        End Set
    End Property

    Public Property Sample() As CSample
        Get
            Return m_Sample
        End Get
        Set(ByVal value As CSample)
            m_Sample = value
        End Set
    End Property

    Public Property TotalVolume() As Double
        Get
            Return m_TotalVolume
        End Get
        Set(ByVal value As Double)
            m_TotalVolume = value
        End Set
    End Property

    Public Sub New()
        m_Sample = New CSample
    End Sub
End Class
