
Imports System.Collections.Generic
Public Class CReagent

    Private m_NCol As Integer = 1 ' Reagent will occupy at least one column
    Private m_NRow As Integer
    ' The start column of this reagent
    Private m_ColStart As Integer

    Private m_ReagentName As String
    Private m_VolPerWell As Integer
    Private m_TotalVol As Integer

    Private m_VolPerWellRemain As Integer
    Private m_NSamples As Integer
    Private m_IsSpanMultiColumns As Boolean

    Private m_WellList As List(Of Double)

    'Private m_ReagentControl As frmReagentControl
    Public Sub New()

        m_WellList = New List(Of Double)

    End Sub

    Public Sub InitializeReagentVolume()
        
        Dim i As Integer
        For i = 0 To WellList.Count - 1
            If WellList(i) > 0 Then ' Look only for the non-empty well
                m_VolPerWell = WellList(i)

                m_NRow = m_NRow + 1 ' Count the number of wells
            End If
        Next

        m_VolPerWellRemain = m_VolPerWell
        m_NSamples = m_NCol * m_NRow
        m_TotalVol = m_VolPerWell * m_NSamples
    End Sub

    Public Sub UpdateReagentVolume(ByVal inputVol As Double)

        VolumePerWellRemain = VolumePerWellRemain - inputVol

    End Sub

    Public Property ReagentName() As String
        Get
            Return m_ReagentName
        End Get
        Set(ByVal value As String)
            m_ReagentName = value
        End Set
    End Property


    Public ReadOnly Property TotalVol() As Integer
        Get
            Return m_TotalVol
        End Get
    End Property

    Public Property StartColumn() As Integer
        Get
            Return m_ColStart
        End Get
        Set(ByVal value As Integer)
            m_ColStart = value
        End Set
    End Property

    Public Property NumberOfColumns() As Integer
        Get
            Return m_NCol
        End Get
        Set(ByVal value As Integer)
            m_NCol = value
        End Set
    End Property

    Public Property NumberOfRows() As Integer
        Get
            Return m_NRow
        End Get
        Set(ByVal value As Integer)
            m_NRow = value
        End Set
    End Property

    Public Property VolumePerWell() As Integer
        Get
            Return m_VolPerWell
        End Get
        Set(ByVal value As Integer)
            m_VolPerWell = value

            ' At the start initialize this to vol per well
            ' m_VolPerWellRemain = m_VolPerWell
        End Set
    End Property

    Public Property VolumePerWellRemain() As Integer
        Get
            Return m_VolPerWellRemain
        End Get
        Set(ByVal value As Integer)
            m_VolPerWellRemain = value
        End Set
    End Property

    Public Property IsSpanMultiColumns() As Boolean
        Get
            Return m_IsSpanMultiColumns
        End Get
        Set(ByVal value As Boolean)
            m_IsSpanMultiColumns = value
        End Set
    End Property

    Public Property WellList() As List(Of Double)
        Get
            Return m_WellList
        End Get
        Set(ByVal value As List(Of Double))
            m_WellList = value
        End Set
    End Property

End Class
