Imports System.Windows.Forms
Imports System.Collections

Public Class frmSimplePlateInfo



    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()
    End Sub

    Public Sub New(ByVal nRows As Integer, ByVal nCols As Integer, ByVal nSamples As Integer, ByVal plateMapList As Hashtable)

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        Dim i As Integer
        Dim deck As String = "Sciclone Deck: "
        lblNumberOfCols.Text = nCols
        lblNumberOfRows.Text = nRows
        lblNumberOfSamples.Text = nSamples

        ' Remove unused tab from showing
        Dim platesNum As Integer = Me.TabControl1.TabPages.Count - plateMapList.Count
        If platesNum > 0 Then
            For i = 0 To platesNum - 1
                TabControl1.TabPages.RemoveAt(TabControl1.TabPages.Count - 1)
            Next
        End If

        i = 0
        For Each item As DictionaryEntry In plateMapList

            Select Case i
                Case 0
                    TabPage1.Text = deck & item.Value.ToString()
                    UserControl1.lblReagentPlateName.Text = item.Key.ToString()
                    UserControl1.lblScicloneDeckLocation.Text = item.Value.ToString()

                Case 1
                    TabPage2.Text = deck & item.Value.ToString()
                    UserControl2.lblReagentPlateName.Text = item.Key.ToString()
                    UserControl2.lblScicloneDeckLocation.Text = item.Value.ToString()

                Case 2
                    TabPage3.Text = deck & item.Value.ToString()
                    UserControl3.lblReagentPlateName.Text = item.Key.ToString()
                    UserControl3.lblScicloneDeckLocation.Text = item.Value.ToString()

                Case 3
                    TabPage4.Text = deck & item.Value.ToString()
                    UserControl4.lblReagentPlateName.Text = item.Key.ToString()
                    UserControl4.lblScicloneDeckLocation.Text = item.Value.ToString()

                Case 4
                    TabPage5.Text = deck & item.Value.ToString()
                    UserControl5.lblReagentPlateName.Text = item.Key.ToString()
                    UserControl5.lblScicloneDeckLocation.Text = item.Value.ToString()
                Case Else
                    TabPage1.Text = deck & item.Value.ToString()
                    UserControl1.lblReagentPlateName.Text = item.Key.ToString()
                    UserControl1.lblScicloneDeckLocation.Text = item.Value.ToString()

            End Select

            i = i + 1
        Next

    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub
End Class
