'
'   L E X d l g _ I n i t i a l _ d i a l o g . v b
'
'   Introductory Application Dialog
'
'   Last revision: 2013-09-23
'
'   Igor Hollaender, igor.hollaender@lexogen.com
'   Copyright (C)2013 Lexogen GmbH
'

Imports System.Windows.Forms

Public Class LEXdlg_Initial_dialog

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LEXbtn_initdialog_Continue.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LEXbtn_initdialog_Cancel.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Sub New(ByVal appName As String)
        InitializeComponent()

        Dim RTF_prolog As String = "{\rtf1   " & _
           "{\colortbl;\red0\green0\blue0;\red0\green30\blue150;} " & _
           "\fs24 \line "
        Dim RTF_epilog As String = "} "

        Dim RTF_title As String = _
            "{\pard \qc \b \fs50 \cf1 \qc " & appName & " \par}"

        Me.RichTextBox1.Rtf = _
            RTF_prolog & _
            RTF_title & _
            RTF_epilog        

    End Sub

End Class
