Imports System.Windows.Forms

Public Class DlgSampleSetup

    Private m_SampleColumn As Integer

    ' If true then adapters are pre-broadcasted. Else adapters will be broadcasted on deck
    Private m_IsPreBroadcastAdapters As Boolean

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click

        Try
            'm_SampleColumn = Convert.ToInt32(tbxSampleColumn.Text)
            'If m_SampleColumn > 12 Or m_SampleColumn < 1 Then
            '    MessageBox.Show("Please enter a value between 1 and 12", "Value out of Range", MessageBoxButtons.OK, MessageBoxIcon.Error)
            '    Exit Sub
            'End If

            If rdbAdaptersPreBroadCasted.Checked Then
                m_IsPreBroadcastAdapters = True
            Else
                m_IsPreBroadcastAdapters = False
            End If

        Catch ex As Exception
            MessageBox.Show("Please enter a value between 1 - 12 into the text box", "Enter Sample Column", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Public ReadOnly Property SampleColumn() As Integer
        Get
            Return m_SampleColumn
        End Get
    End Property

    Public ReadOnly Property IsPreBroadcastAdapters() As Boolean
        Get
            Return m_IsPreBroadcastAdapters
        End Get
    End Property

End Class
