Imports System.Collections.Generic
Imports System.Collections

Public Class CSample : Implements IComparable
    Private m_SourceDeckID As CDeckInfo
    Private m_DestinationDeckID As CDeckInfo
    Private m_SampleID As String ' Sample ID or sample well
    Private m_PoolID As Integer  ' Pool ID
    Private m_IndexID As Integer ' Barcode ID or index well
    Private m_Volume As Double  ' Volume
    Private m_SourceWellID As String
    Private m_DestinationWellID As String

    Private m_IndexName As String ' Index name

    Private m_SampleDescription As String ' Sample description
    Private m_ConcVolume As Double ' Concentration volume

    Public Property SourceDeckID() As CDeckInfo
        Get
            Return m_SourceDeckID
        End Get
        Set(ByVal value As CDeckInfo)
            m_SourceDeckID = value
        End Set
    End Property

    Public Property DestinationDeckID() As CDeckInfo
        Get
            Return m_DestinationDeckID
        End Get
        Set(ByVal value As CDeckInfo)
            m_DestinationDeckID = value
        End Set
    End Property

    Public Property SampleID() As String
        Get
            Return m_SampleID
        End Get
        Set(ByVal value As String)
            m_SampleID = value
        End Set
    End Property

    Public Property PoolID() As Integer
        Get
            Return m_PoolID
        End Get
        Set(ByVal value As Integer)
            m_PoolID = value
        End Set
    End Property

    Public Property IndexID() As Integer
        Get
            Return m_IndexID
        End Get
        Set(ByVal value As Integer)
            m_IndexID = value
        End Set
    End Property

    Public Property Volume() As Double
        Get
            Return m_Volume
        End Get
        Set(ByVal value As Double)
            m_Volume = value
        End Set
    End Property


    Public Property SourceWellID() As String
        Get
            Return m_SourceWellID
        End Get
        Set(ByVal value As String)
            m_SourceWellID = value
        End Set
    End Property

    Public Property DestinationWellID() As String
        Get
            Return m_DestinationWellID
        End Get
        Set(ByVal value As String)
            m_DestinationWellID = value
        End Set
    End Property

    Public Property IndexName() As String
        Get
            Return m_IndexName
        End Get
        Set(ByVal value As String)
            m_IndexName = value
        End Set
    End Property

    Public Property SampleDescription() As String
        Get
            Return m_SampleDescription
        End Get
        Set(ByVal value As String)
            m_SampleDescription = value
        End Set
    End Property

    Public Property ConcentrationVolume() As Double
        Get
            Return m_ConcVolume
        End Get
        Set(ByVal value As Double)
            m_ConcVolume = value
        End Set
    End Property

    Public Function Compare(ByVal x As Object) As Integer Implements IComparable.CompareTo
        Dim s1 As CSample = DirectCast(x, CSample)

        If s1.ConcentrationVolume > ConcentrationVolume Then
            Return -1
        Else
            Return 1
        End If
    End Function

End Class
