'Imports System.Windows.Forms

'Public Class DlgDelayTime


'    Private Delegate Sub UpdateTimerBox()

'    Private m_IsStop As Boolean = False
'    Private m_TimeRemain As String
'    Private m_DelayTimeTitle As String
'    Private m_EndTime As DateTime
'    Private m_TimerThread As Threading.Thread

'    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click

'        If MessageBox.Show("Cancel will terminate the remainder of Incubation. Click Yes to end the Incubation. Click No to finish the Incubation", "Stop Incubation Time", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) = Windows.Forms.DialogResult.Yes Then
'            m_IsStop = True
'            Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
'            Me.Close()
'        Else
'            Me.DialogResult = Windows.Forms.DialogResult.None
'        End If
'    End Sub

'    Private Sub DlgDelayTime_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

'        lblDelayTitle.Text = m_DelayTimeTitle
'        m_EndTime = DateAdd("s", Convert.ToDouble(m_TimeRemain), DateTime.Now)
'        m_TimerThread = New Threading.Thread(AddressOf RunTimer)
'        m_TimerThread.IsBackground = False
'    End Sub

'    Public ReadOnly Property StopDelay() As Boolean
'        Get
'            Return m_IsStop
'        End Get
'    End Property

'    Public WriteOnly Property TimeRemain() As String
'        Set(ByVal value As String)
'            m_TimeRemain = value
'        End Set
'    End Property

'    Public WriteOnly Property DelayTimeTitle() As String
'        Set(ByVal value As String)
'            m_DelayTimeTitle = value
'        End Set
'    End Property

'    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick

'        If (Not m_TimerThread.IsAlive) Then
'            m_TimerThread.Start()
'        End If
'    End Sub

'    Private Sub RunTimer()
'        Dim endTime As DateTime = DateTime.Now
'        Dim timeDiff As TimeSpan
'        Dim timeStr As String
'        Dim hour As String
'        Dim minute As String
'        Dim second As String

'        'If Me.InvokeRequired Then

'        '    Me.Invoke(New UpdateTimerBox(AddressOf RunTimer), New Object() {})

'        'Else
'        tbxTimer.Text = endTime.ToShortTimeString ' Format(endTime, "HH:mm:ss")

'        Do

'            timeDiff = m_EndTime - DateTime.Now
'            hour = timeDiff.Hours.ToString
'            If (timeDiff.Hours < 10) Then
'                hour = "0" & hour
'            End If
'            minute = timeDiff.Minutes.ToString()
'            If (timeDiff.Minutes < 10) Then
'                minute = "0" & minute
'            End If
'            second = timeDiff.Seconds.ToString()
'            If timeDiff.Seconds < 10 Then
'                second = "0" & second
'            End If

'            timeStr = hour & ":" & minute & ":" & second 'Format(timeDiff, "HH:mm:ss")
'            tbxTimer.Text = timeStr

'            tbxTimer.Refresh()
'            Me.Refresh()
'        Loop Until DateTime.Now > m_EndTime Or StopDelay = True
'        Timer1.Enabled = False
'        Me.Close()
'        'End If


'    End Sub

'    Private Sub DlgDelayTime_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing

'        If StopDelay = False And m_EndTime > DateTime.Now Then
'            Cancel_Button_Click(sender, e)
'        End If
'    End Sub
'End Class

Imports System.Windows.Forms

Public Class DlgDelayTime


    Private Delegate Sub UpdateTimerBox()

    Private m_IsStop As Boolean = False
    Private m_TimeRemain As String
    Private m_DelayTimeTitle As String
    Private m_EndTime As DateTime
    Private m_TimerThread As Threading.Thread

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click

        If MessageBox.Show("Cancel will terminate the remainder of Incubation. Click Yes to end the Incubation. Click No to finish the Incubation", "Stop Incubation Time", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) = Windows.Forms.DialogResult.Yes Then
            m_IsStop = True
            Timer1.Enabled = False
            Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
            Me.Close()
        Else
            Me.DialogResult = Windows.Forms.DialogResult.None
        End If
    End Sub

    Private Sub DlgDelayTime_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        lblDelayTitle.Text = m_DelayTimeTitle
        m_EndTime = DateAdd("s", Convert.ToDouble(m_TimeRemain), DateTime.Now)

        ' Start timer
        Timer1.Enabled = True
    End Sub

    Public ReadOnly Property StopDelay() As Boolean
        Get
            Return m_IsStop
        End Get
    End Property

    Public WriteOnly Property TimeRemain() As String
        Set(ByVal value As String)
            m_TimeRemain = value
        End Set
    End Property

    Public WriteOnly Property DelayTimeTitle() As String
        Set(ByVal value As String)
            m_DelayTimeTitle = value
        End Set
    End Property

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick

        Dim endTime As DateTime = DateTime.Now
        Dim timeDiff As TimeSpan
        Dim timeStr As String
        Dim hour As String
        Dim minute As String
        Dim second As String

        timeDiff = m_EndTime - DateTime.Now
        hour = timeDiff.Hours.ToString
        If (timeDiff.Hours < 10) Then
            hour = "0" & hour
        End If
        minute = timeDiff.Minutes.ToString()
        If (timeDiff.Minutes < 10) Then
            minute = "0" & minute
        End If
        second = timeDiff.Seconds.ToString()
        If timeDiff.Seconds < 10 Then
            second = "0" & second
        End If

        timeStr = hour & ":" & minute & ":" & second 'Format(timeDiff, "HH:mm:ss")
        tbxTimer.Text = timeStr

        tbxTimer.Refresh()

        If timeDiff.TotalSeconds <= 0 Then
            Timer1.Enabled = False
            Me.Close()
        End If
       

    End Sub
End Class